org.apache.hadoop.yarn.webapp

## Class Controller.RequestContext

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.Controller.RequestContext

- Enclosing class:
    Controller

      public static class Controller.RequestContext
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,javax.servlet.http.Cookie>` | `cookies()`
    `String` | `get(String key, String defaultValue)`
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `Map<String,String>` | `moreParams()`
    `String` | `prefix()`
    `void` | `set(String key, String value)`
    `void` | `setRendered(boolean rendered)`
    `void` | `setStatus(int status)`
    `int` | `status()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### status

          public int status()

    - #### setStatus

          public void setStatus(int status)

    - #### setRendered

          public void setRendered(boolean rendered)

    - #### moreParams

          public Map<String,String> moreParams()

    - #### cookies

          public Map<String,javax.servlet.http.Cookie> cookies()

    - #### set

          public void set(String key,
                          String value)

    - #### get

          public String get(String key,
                            String defaultValue)

    - #### prefix

          public String prefix()

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.